Package org.gdal.gnm

# Class GenericNetwork

java.lang.Object
org.gdal.gdal.MajorObject
org.gdal.gnm.Network
org.gdal.gnm.GenericNetwork

public class GenericNetwork extends Network

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SWIGTYPE_p_CPLErr`
  `ChangeAllBlockState()`
  `SWIGTYPE_p_CPLErr`
  `ChangeAllBlockState(boolean bIsBlock)`
  `SWIGTYPE_p_CPLErr`
  `ChangeBlockState(long nFID, boolean bIsBlock)`
  `SWIGTYPE_p_CPLErr`
  `ConnectFeatures(long nSrcFID, long nTgtFID, long nConFID, double dfCost, double dfInvCost, int eDir)`
  `SWIGTYPE_p_CPLErr`
  `ConnectPointsByLines(Vector papszLayerList, double dfTolerance, double dfCost, double dfInvCost, int eDir)`
  `SWIGTYPE_p_CPLErr`
  `CreateRule(String pszRuleStr)`
  `void`
  `delete()`
  `SWIGTYPE_p_CPLErr`
  `DeleteAllRules()`
  `SWIGTYPE_p_CPLErr`
  `DeleteRule(String pszRuleStr)`
  `SWIGTYPE_p_CPLErr`
  `DisconnectFeatures(long nSrcFID, long nTgtFID, long nConFID)`
  `SWIGTYPE_p_CPLErr`
  `DisconnectFeaturesWithId(long nFID)`
  `boolean`
  `equals(Object obj)`
  `Vector`
  `GetRules()`
  `int`
  `hashCode()`
  `SWIGTYPE_p_CPLErr`
  `ReconnectFeatures(long nSrcFID, long nTgtFID, long nConFID, double dfCost, double dfInvCost, int eDir)`

  ### Methods inherited from class org.gdal.gnm.Network

  `CommitTransaction, CopyLayer, CopyLayer, CreateLayer, CreateLayer, CreateLayer, CreateLayer, DeleteLayer, DisconnectAll, GetFeatureByGlobalFID, GetFileList, GetLayerByIndex, GetLayerByName, GetLayerCount, GetName, GetPath, GetPath, GetProjection, GetProjectionRef, GetVersion, RollbackTransaction, StartTransaction, StartTransaction, TestCapability`

  ### Methods inherited from class org.gdal.gdal.MajorObject

  `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()
    Overrides:
      `delete` in class `Network`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Network`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Network`

  - ### ConnectFeatures

    public SWIGTYPE_p_CPLErr ConnectFeatures(long nSrcFID, long nTgtFID, long nConFID, double dfCost, double dfInvCost, int eDir)

  - ### DisconnectFeatures

    public SWIGTYPE_p_CPLErr DisconnectFeatures(long nSrcFID, long nTgtFID, long nConFID)

  - ### DisconnectFeaturesWithId

    public SWIGTYPE_p_CPLErr DisconnectFeaturesWithId(long nFID)

  - ### ReconnectFeatures

    public SWIGTYPE_p_CPLErr ReconnectFeatures(long nSrcFID, long nTgtFID, long nConFID, double dfCost, double dfInvCost, int eDir)

  - ### CreateRule

    public SWIGTYPE_p_CPLErr CreateRule(String pszRuleStr)

  - ### DeleteAllRules

    public SWIGTYPE_p_CPLErr DeleteAllRules()

  - ### DeleteRule

    public SWIGTYPE_p_CPLErr DeleteRule(String pszRuleStr)

  - ### GetRules

    public Vector GetRules()

  - ### ConnectPointsByLines

    public SWIGTYPE_p_CPLErr ConnectPointsByLines(Vector papszLayerList, double dfTolerance, double dfCost, double dfInvCost, int eDir)

  - ### ChangeBlockState

    public SWIGTYPE_p_CPLErr ChangeBlockState(long nFID, boolean bIsBlock)

  - ### ChangeAllBlockState

    public SWIGTYPE_p_CPLErr ChangeAllBlockState(boolean bIsBlock)

  - ### ChangeAllBlockState

    public SWIGTYPE_p_CPLErr ChangeAllBlockState()